<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Исходный файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/Main.qml</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Main.qml</div>  </div>
</div><!--header-->
<div class="contents">
<a href="Main_8qml.html">См. документацию.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keyword">import</span> QtQuick 2.12</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;import QtQuick.Controls 2.12</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;import QtQuick.Window 2.12</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;import Qt.labs.platform 1.1</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;import QtMultimedia 5.14</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;import QtQuick.Dialogs 1.3</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;Window {</div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="classMain.html#ac8d59f2667d45b51f1f2e62aaed4ff18">   22</a></span>&#160;    id: mainWindow</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">bool</span> visible_value: !start_window.visible</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    visible: visible_value</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="comment">// ставим окну размеры изображения</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    width: character.width</div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classMain.html#a23c4420e27caa2aa0652bbac6b73f701">   28</a></span>&#160;    height: character.height</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div>
<div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="classMain.html#a96ac1ad1d3fb92766227f6d97675bd5a">   30</a></span>&#160;    <span class="comment">// цвет окна - прозрачный</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    color: <span class="stringliteral">&quot;transparent&quot;</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="comment">// имя окна</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    title: qsTr(<span class="stringliteral">&quot;Desk Helper&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="comment">// окно без рамок</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    flags: Qt.FramelessWindowHint | Qt.Window</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">int</span> previousX</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">int</span> previousY</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="comment">// сигналы для передачи фокуса окнам</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="comment"></span>    signal showImageSelectWindow</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    signal showCommandWindow</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    signal showReminderWindow</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    signal showNodesWindow</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    signal showSettingsWindow</div>
<div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classMain.html#a904edbc5143548b5ae861871ba0c08f4">   55</a></span>&#160; </div>
<div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="classMain.html#adf46e6d31afdd778e213e32db0fc357e">   57</a></span>&#160;    signal triggerNotifTimer</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160; </div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="keyword">function</span> showWindow() {</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        mainWindow.width = character.width</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        mainWindow.height = character.height</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    }</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160; </div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    <span class="keyword">function</span> hideWindow() {</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        mainWindow.width = 0</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        mainWindow.height = 0</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    }</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160; </div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160; </div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <a class="code" href="classStartWindow.html">StartWindow</a> {</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        id:start_window</div>
<div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="classMain.html#ab79dfa8ceef54fa49410f46aa830173a">   80</a></span>&#160;        visible: settings.getStartWindowViewed() ? false : <span class="keyword">true</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        onVisibleChanged: {</div>
<div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="classMain.html#aa5d2ac1d384ef1b899a897b5f7e1e62b">   82</a></span>&#160;            <span class="keywordflow">if</span> (!visible){</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;                guide_dialog.visible = <span class="keyword">true</span></div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;            }</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        }</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    }</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160; </div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    Dialog {</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        id: guide_dialog</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        width: 400</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;        height: 150</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        contentItem: Rectangle {</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;            width: 400</div>
<div class="line"><a name="l00094"></a><span class="lineno"><a class="line" href="classMain.html#afa6227246f8b374acfeb553caf692644">   94</a></span>&#160;            height: 200</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;            gradient: style.getBackgroundGradient()</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;            Text {</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;                anchors{</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;                    top: parent.top</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;                    left: parent.left</div>
<div class="line"><a name="l00100"></a><span class="lineno"><a class="line" href="classMain.html#aa19639a0f1e95fa1da1f4d5d0230bb81">  100</a></span>&#160;                    right: parent.right</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;                    bottom: ok_button.top</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;                    topMargin: 30</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;                    bottomMargin: 10</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;                    rightMargin: 10</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;                    leftMargin: 10</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;                }</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;                text: qsTr(<span class="stringliteral">&quot;Want to go through the program guide?&quot;</span>)</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;                color: &quot;white&quot;</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;                font.pointSize: 11</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;                wrapMode: Text.WordWrap</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160; </div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;            }</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160; </div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;            <a class="code" href="classStylishButton.html">StylishButton</a> {</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;                id: cancel_button</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;                anchors.bottom: parent.bottom</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;                anchors.right: parent.right</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;                anchors.bottomMargin: 10</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;                anchors.rightMargin: 20</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;                button_name: qsTr(<span class="stringliteral">&quot;Cancel&quot;</span>)</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;                background_gradient: style.getAttentionGradientStandart()</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;                entered_gradient: style.getAttentionGradientEntered()</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;                width: 100</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;                onMouseAreaClicked: {guide_dialog.close()}</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;            }</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;            <a class="code" href="classStylishButton.html">StylishButton</a> {</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;                id: ok_button</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;                anchors.bottom: parent.bottom</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;                anchors.right: cancel_button.left</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;                anchors.bottomMargin: 10</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;                anchors.rightMargin: 20</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;                button_name: <span class="stringliteral">&quot;OK&quot;</span></div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;                background_gradient: style.getGradientStandart()</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;                entered_gradient: style.getGradientEntered()</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;                width: 100</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;                onMouseAreaClicked: {guide.visible = <span class="keyword">true</span>; guide_dialog.close()}</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;            }</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;        }</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;    }</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160; </div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">bool</span> image_selection_flag: <span class="keyword">false</span></div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">bool</span> comand_window_flag: <span class="keyword">false</span></div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">bool</span> reminder_window_flag: <span class="keyword">false</span></div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">bool</span> note_window_flag: <span class="keyword">false</span></div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160; </div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    onActiveChanged: {</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;        <span class="keywordflow">if</span> (image_selection_flag &amp;&amp; comand_window_flag &amp;&amp; reminder_window_flag &amp;&amp; note_window_flag){</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;            guide.prompt_text = qsTr(<span class="stringliteral">&quot;Congratulations! You have completed the program guide&quot;</span>)</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;            guide.anchors.top = undefined</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;            guide.anchors.left = undefined</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;            guide.anchors.horizontalCenter = guide.parent.horizontalCenter</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;            guide.anchors.verticalCenter = guide.parent.verticalCenter</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;            closeGuideTimer.start()</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;        }</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;    }</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160; </div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;    Timer{</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;        id: closeGuideTimer</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;        interval: 5000</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;        repeat: <span class="keyword">false</span></div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;        running: <span class="keyword">false</span></div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;        onTriggered: {</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;            guide.visible = <span class="keyword">false</span></div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;        }</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;    }</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160; </div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;    <a class="code" href="classGuideRectangle.html">GuideRectangle</a>{</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;        id: guide</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;        anchors.horizontalCenter: parent.horizontalCenter</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;        anchors.verticalCenter: parent.verticalCenter</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;        z:2</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;        visible: settings.getStartWindowViewed() ? false : <span class="keyword">true</span></div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;        prompt_text: <span class="stringliteral">&quot;Press the right button on the character&quot;</span></div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;    }</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160; </div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;    <span class="comment">/* Иконка в трее */</span></div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;    SystemTrayIcon {</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;        id: tray</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;        visible: <span class="keyword">false</span></div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;        icon.source: <span class="stringliteral">&quot;/resources/img/trayicon.png&quot;</span></div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160; </div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;        onActivated: {</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;            console.debug(reason)</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;            <span class="keywordflow">if</span> ((reason === 3) || (reason === 1))</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;            {</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;                menu1.open()</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160; </div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;            }</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;            <span class="keywordflow">else</span> <span class="keywordflow">if</span> ((reason === 2)){</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;                mainWindow.showWindow()</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160; </div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;                mainWindow.raise()</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160; </div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;                menu1.close()</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160; </div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;                tray.visible = <span class="keyword">false</span></div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160; </div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;                mainWindow.flags += Qt.Window</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;            }</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;        }</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160; </div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;        menu: Menu {</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;            id: menu1</div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;            font.pointSize: 10</div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;            visible: <span class="keyword">false</span></div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;            onVisibleChanged: {</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;                console.debug(menu1.visible)</div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;            }</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160; </div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;            MenuItem {</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;                text: qsTr(<span class="stringliteral">&quot;Choose character&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;                onTriggered: {</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;                    <span class="comment">// передаем сигнал окну выбора персонажей о том, что передаем ему управление</span></div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;                    visibleGeneralWindow = <span class="keyword">true</span></div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;                    showImageSelectWindow()</div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160; </div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;                    <span class="comment">// ставим окну выбора персонажей флаг видимости true</span></div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;                    <span class="comment">//visibleImageSelectWindow = true</span></div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;                    <span class="comment">//loader.active = true // нужно, чтобы снова загрузить окно</span></div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160; </div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;                    <span class="comment">// вставляем наш компонент в Loader и если active == true начинается загрузка компонента</span></div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;                    <span class="comment">//loader.sourceComponent = imageSelectWindowComponent</span></div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;                    <span class="comment">//selectWindow.visible = true</span></div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;                    <span class="comment">//imageSelectionMenuLoad.source = &quot;ImageSelectionMenu.qml&quot;//selectWindow.show()</span></div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;                }</div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;            }</div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;            MenuItem {</div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;                text: qsTr(<span class="stringliteral">&quot;Add a commands&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;                onTriggered: {</div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160; </div>
<div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;                    <span class="comment">// передаем сигнал окну выбора персонажей о том, что передаем ему управление</span></div>
<div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;                    visibleGeneralWindow = <span class="keyword">true</span></div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;                    showCommandWindow()</div>
<div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160; </div>
<div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;                    <span class="comment">// ставим окну выбора персонажей флаг видимости true</span></div>
<div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;                    <span class="comment">//visibleCommandWindow = true</span></div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;                    <span class="comment">//commandWindowLoader.active = true // нужно, чтобы снова загрузить окно</span></div>
<div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160; </div>
<div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;                    <span class="comment">// вставляем наш компонент в Loader и если active == true начинается загрузка компонента</span></div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;                    <span class="comment">//commandWindowLoader.sourceComponent = commandWindowComponent</span></div>
<div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;                    <span class="comment">//selectWindow.visible = true</span></div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;                    <span class="comment">//imageSelectionMenuLoad.source = &quot;ImageSelectionMenu.qml&quot;//selectWindow.show()</span></div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;                }</div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;            }</div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;            MenuItem {</div>
<div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;                text: qsTr(<span class="stringliteral">&quot;Create a reminder&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;                onTriggered: {</div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;                    visibleGeneralWindow = <span class="keyword">true</span></div>
<div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;                    showReminderWindow()</div>
<div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;                    <span class="comment">//visibleReminderWindow = true</span></div>
<div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;                    <span class="comment">//reminderWindowLoader.sourceComponent = reminderWindowComponent</span></div>
<div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160; </div>
<div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;                }</div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;            }</div>
<div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;            MenuItem {</div>
<div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;                text: qsTr(<span class="stringliteral">&quot;Add a node&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;                onTriggered: {</div>
<div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;                    visibleGeneralWindow = <span class="keyword">true</span></div>
<div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;                    showNodesWindow()</div>
<div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;                    <span class="comment">//visibleReminderWindow = true</span></div>
<div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;                    <span class="comment">//reminderWindowLoader.sourceComponent = reminderWindowComponent</span></div>
<div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160; </div>
<div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;                }</div>
<div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;            }</div>
<div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;            MenuItem {</div>
<div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;                text: qsTr(<span class="stringliteral">&quot;Settings&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;                onTriggered: {</div>
<div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;                    visibleGeneralWindow = <span class="keyword">true</span></div>
<div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;                    showSettingsWindow()</div>
<div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;                    <span class="comment">//visibleSettingsWindow = true</span></div>
<div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;                    <span class="comment">//settingsWindowLoader.sourceComponent = settingsWindowComponent</span></div>
<div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;                }</div>
<div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;            }</div>
<div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160;            MenuItem {</div>
<div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;                text: qsTr(<span class="stringliteral">&quot;Maximize window&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;                onTriggered: {</div>
<div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;                    mainWindow.showWindow()</div>
<div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;                    tray.visible = <span class="keyword">false</span></div>
<div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;                    mainWindow.flags = Qt.Window + Qt.FramelessWindowHint</div>
<div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;                }</div>
<div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;            }</div>
<div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160; </div>
<div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160;            MenuItem {</div>
<div class="line"><a name="l00288"></a><span class="lineno">  288</span>&#160;                text: qsTr(<span class="stringliteral">&quot;Close&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;                onTriggered: {</div>
<div class="line"><a name="l00290"></a><span class="lineno">  290</span>&#160;                    <span class="comment">//mainWindow.shouldClose = true</span></div>
<div class="line"><a name="l00291"></a><span class="lineno">  291</span>&#160;                    tray.visible = <span class="keyword">false</span></div>
<div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160;                    mainWindow.hideWindow()</div>
<div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160;                    mainWindow.visible = <span class="keyword">true</span></div>
<div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;                    mainWindow.close()</div>
<div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160;                }</div>
<div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;            }</div>
<div class="line"><a name="l00297"></a><span class="lineno">  297</span>&#160;        }</div>
<div class="line"><a name="l00298"></a><span class="lineno">  298</span>&#160; </div>
<div class="line"><a name="l00299"></a><span class="lineno">  299</span>&#160;    }</div>
<div class="line"><a name="l00300"></a><span class="lineno">  300</span>&#160; </div>
<div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160;    <span class="comment">/* onClosing: {</span></div>
<div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160;<span class="comment">              console.debug(settings.getTrayMode(),!shouldClose)</span></div>
<div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;<span class="comment">              if (settings.getTrayMode() &amp;&amp; !shouldClose)</span></div>
<div class="line"><a name="l00305"></a><span class="lineno">  305</span>&#160;<span class="comment">              {</span></div>
<div class="line"><a name="l00306"></a><span class="lineno">  306</span>&#160;<span class="comment">                  close.accepted = false</span></div>
<div class="line"><a name="l00307"></a><span class="lineno">  307</span>&#160;<span class="comment">                  mainWindow.visible = false</span></div>
<div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160;<span class="comment">                  tray.visible = true</span></div>
<div class="line"><a name="l00309"></a><span class="lineno">  309</span>&#160;<span class="comment">              }</span></div>
<div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;<span class="comment">              else</span></div>
<div class="line"><a name="l00311"></a><span class="lineno">  311</span>&#160;<span class="comment">              {</span></div>
<div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160;<span class="comment">                  close.accepted = true</span></div>
<div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160;<span class="comment">              }</span></div>
<div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00315"></a><span class="lineno">  315</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00316"></a><span class="lineno">  316</span>&#160;<span class="comment">          }*/</span></div>
<div class="line"><a name="l00317"></a><span class="lineno">  317</span>&#160; </div>
<div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> current_time: Qt.formatTime(<span class="keyword">new</span> Date(), <span class="stringliteral">&quot;hh:mm&quot;</span>)</div>
<div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160; </div>
<div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> current_date: Qt.formatDate(<span class="keyword">new</span> Date(), <span class="stringliteral">&quot;yyyy.MM.dd&quot;</span>)</div>
<div class="line"><a name="l00323"></a><span class="lineno">  323</span>&#160; </div>
<div class="line"><a name="l00324"></a><span class="lineno">  324</span>&#160; </div>
<div class="line"><a name="l00325"></a><span class="lineno">  325</span>&#160;    Timer{</div>
<div class="line"><a name="l00326"></a><span class="lineno">  326</span>&#160;        id: load_timer</div>
<div class="line"><a name="l00327"></a><span class="lineno">  327</span>&#160;        interval: 3000</div>
<div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160;        repeat: <span class="keyword">false</span></div>
<div class="line"><a name="l00329"></a><span class="lineno">  329</span>&#160;        running: <span class="keyword">true</span></div>
<div class="line"><a name="l00330"></a><span class="lineno">  330</span>&#160;        onTriggered: {</div>
<div class="line"><a name="l00331"></a><span class="lineno">  331</span>&#160;            var msg = db.getNotViewedNotifications(current_date + <span class="charliteral">&#39; &#39;</span> + current_time)</div>
<div class="line"><a name="l00332"></a><span class="lineno">  332</span>&#160;            <span class="keywordflow">if</span> (msg !== undefined)</div>
<div class="line"><a name="l00333"></a><span class="lineno">  333</span>&#160;            {</div>
<div class="line"><a name="l00334"></a><span class="lineno">  334</span>&#160;                var i = 0</div>
<div class="line"><a name="l00335"></a><span class="lineno">  335</span>&#160;                <span class="keywordflow">for</span> (; i &lt; msg.length;)</div>
<div class="line"><a name="l00336"></a><span class="lineno">  336</span>&#160;                {</div>
<div class="line"><a name="l00337"></a><span class="lineno">  337</span>&#160;                    <span class="keywordflow">if</span> (mainWindow.width !== 0){</div>
<div class="line"><a name="l00338"></a><span class="lineno">  338</span>&#160;                        reminders_dialog.addingNotification(msg[i],</div>
<div class="line"><a name="l00339"></a><span class="lineno">  339</span>&#160;                                                            msg[i + 1],</div>
<div class="line"><a name="l00340"></a><span class="lineno">  340</span>&#160;                                                            msg[i + 2],</div>
<div class="line"><a name="l00341"></a><span class="lineno">  341</span>&#160;                                                            msg[i + 3])</div>
<div class="line"><a name="l00342"></a><span class="lineno">  342</span>&#160;                        console.log(msg[i])</div>
<div class="line"><a name="l00343"></a><span class="lineno">  343</span>&#160;                        console.log(msg[i + 1])</div>
<div class="line"><a name="l00344"></a><span class="lineno">  344</span>&#160;                        console.log(msg[i + 2])</div>
<div class="line"><a name="l00345"></a><span class="lineno">  345</span>&#160;                        console.log(msg[i + 3])</div>
<div class="line"><a name="l00346"></a><span class="lineno">  346</span>&#160; </div>
<div class="line"><a name="l00347"></a><span class="lineno">  347</span>&#160;                        reminders_dialog.visible = <span class="keyword">true</span></div>
<div class="line"><a name="l00348"></a><span class="lineno">  348</span>&#160;                        <span class="comment">//reminders_dialog.flags += Qt.WindowStaysOnTopHint</span></div>
<div class="line"><a name="l00349"></a><span class="lineno">  349</span>&#160;                        notification.play()</div>
<div class="line"><a name="l00350"></a><span class="lineno">  350</span>&#160;                    }</div>
<div class="line"><a name="l00351"></a><span class="lineno">  351</span>&#160;                    <span class="keywordflow">else</span> {</div>
<div class="line"><a name="l00352"></a><span class="lineno">  352</span>&#160;                        tray.showMessage(msg[i + 2], msg[i + 1] + <span class="stringliteral">&quot; &quot;</span> + msg[i] + <span class="stringliteral">&quot;\n&quot;</span> + msg[i + 3], 1, 100)</div>
<div class="line"><a name="l00353"></a><span class="lineno">  353</span>&#160;                    }</div>
<div class="line"><a name="l00354"></a><span class="lineno">  354</span>&#160;                    db.updateViewed(msg[i + 5])</div>
<div class="line"><a name="l00355"></a><span class="lineno">  355</span>&#160;                    i += 6</div>
<div class="line"><a name="l00356"></a><span class="lineno">  356</span>&#160;                }</div>
<div class="line"><a name="l00357"></a><span class="lineno">  357</span>&#160;            }</div>
<div class="line"><a name="l00358"></a><span class="lineno">  358</span>&#160;        }</div>
<div class="line"><a name="l00359"></a><span class="lineno">  359</span>&#160;    }</div>
<div class="line"><a name="l00360"></a><span class="lineno">  360</span>&#160; </div>
<div class="line"><a name="l00361"></a><span class="lineno">  361</span>&#160;    onTriggerNotifTimer: {</div>
<div class="line"><a name="l00362"></a><span class="lineno">  362</span>&#160;        current_time = Qt.formatTime(<span class="keyword">new</span> Date(), <span class="stringliteral">&quot;hh:mm&quot;</span>)</div>
<div class="line"><a name="l00363"></a><span class="lineno">  363</span>&#160;        <span class="keywordflow">if</span> (current_time == <span class="stringliteral">&quot;00:00&quot;</span>)</div>
<div class="line"><a name="l00364"></a><span class="lineno">  364</span>&#160;        {</div>
<div class="line"><a name="l00365"></a><span class="lineno">  365</span>&#160;            current_date = Qt.formatDate(<span class="keyword">new</span> Date(), <span class="stringliteral">&quot;yyyy.MM.dd&quot;</span>)</div>
<div class="line"><a name="l00366"></a><span class="lineno">  366</span>&#160;        }</div>
<div class="line"><a name="l00367"></a><span class="lineno">  367</span>&#160; </div>
<div class="line"><a name="l00368"></a><span class="lineno">  368</span>&#160;        var j = 0</div>
<div class="line"><a name="l00369"></a><span class="lineno">  369</span>&#160;        var messages = db.getReminderMessage(current_date + <span class="charliteral">&#39; &#39;</span> + current_time)</div>
<div class="line"><a name="l00370"></a><span class="lineno">  370</span>&#160; </div>
<div class="line"><a name="l00371"></a><span class="lineno">  371</span>&#160;        <span class="keywordflow">if</span> (messages.length &gt; 0)</div>
<div class="line"><a name="l00372"></a><span class="lineno">  372</span>&#160;        {</div>
<div class="line"><a name="l00373"></a><span class="lineno">  373</span>&#160;            <span class="keywordflow">while</span> (j &lt; messages.length)</div>
<div class="line"><a name="l00374"></a><span class="lineno">  374</span>&#160;            {</div>
<div class="line"><a name="l00375"></a><span class="lineno">  375</span>&#160; </div>
<div class="line"><a name="l00376"></a><span class="lineno">  376</span>&#160;                <span class="keywordflow">if</span> (mainWindow.visible == <span class="keyword">true</span>){</div>
<div class="line"><a name="l00377"></a><span class="lineno">  377</span>&#160;                    reminders_dialog.addingNotification(current_time,</div>
<div class="line"><a name="l00378"></a><span class="lineno">  378</span>&#160;                                                        current_date,</div>
<div class="line"><a name="l00379"></a><span class="lineno">  379</span>&#160;                                                        messages[j],</div>
<div class="line"><a name="l00380"></a><span class="lineno">  380</span>&#160;                                                        messages[j+1])</div>
<div class="line"><a name="l00381"></a><span class="lineno">  381</span>&#160;                    console.log(messages[j])</div>
<div class="line"><a name="l00382"></a><span class="lineno">  382</span>&#160;                    console.log(messages[j+1])</div>
<div class="line"><a name="l00383"></a><span class="lineno">  383</span>&#160; </div>
<div class="line"><a name="l00384"></a><span class="lineno">  384</span>&#160;                    reminders_dialog.visible = <span class="keyword">true</span></div>
<div class="line"><a name="l00385"></a><span class="lineno">  385</span>&#160;                    <span class="comment">//reminders_dialog.requestActivate()</span></div>
<div class="line"><a name="l00386"></a><span class="lineno">  386</span>&#160;                    <span class="comment">//mainWindow.flags += Qt.WindowStaysOnTopHint</span></div>
<div class="line"><a name="l00387"></a><span class="lineno">  387</span>&#160; </div>
<div class="line"><a name="l00388"></a><span class="lineno">  388</span>&#160;                    <span class="comment">//context_menu.flags +=  Qt.WindowStaysOnTopHint</span></div>
<div class="line"><a name="l00389"></a><span class="lineno">  389</span>&#160; </div>
<div class="line"><a name="l00390"></a><span class="lineno">  390</span>&#160; </div>
<div class="line"><a name="l00391"></a><span class="lineno">  391</span>&#160;                    <span class="comment">//reminders_dialog.flags -= Qt.WindowStaysOnTopHint</span></div>
<div class="line"><a name="l00392"></a><span class="lineno">  392</span>&#160;                    <span class="comment">//mainWindow.flags -= Qt.WindowStaysOnTopHint</span></div>
<div class="line"><a name="l00393"></a><span class="lineno">  393</span>&#160;                    <span class="comment">//context_menu.flags -=  Qt.WindowStaysOnTopHint</span></div>
<div class="line"><a name="l00394"></a><span class="lineno">  394</span>&#160;                    notification.play()</div>
<div class="line"><a name="l00395"></a><span class="lineno">  395</span>&#160; </div>
<div class="line"><a name="l00396"></a><span class="lineno">  396</span>&#160;                }</div>
<div class="line"><a name="l00397"></a><span class="lineno">  397</span>&#160;                <span class="keywordflow">else</span> {</div>
<div class="line"><a name="l00398"></a><span class="lineno">  398</span>&#160;                    tray.showMessage(messages[j], messages[j+1], 1, 100)</div>
<div class="line"><a name="l00399"></a><span class="lineno">  399</span>&#160; </div>
<div class="line"><a name="l00400"></a><span class="lineno">  400</span>&#160;                    <span class="keywordflow">if</span> (!stt.isWin())</div>
<div class="line"><a name="l00401"></a><span class="lineno">  401</span>&#160;                    {</div>
<div class="line"><a name="l00402"></a><span class="lineno">  402</span>&#160;                        push_notification.title = messages[j]</div>
<div class="line"><a name="l00403"></a><span class="lineno">  403</span>&#160;                        push_notification.err_name =  messages[j+1]</div>
<div class="line"><a name="l00404"></a><span class="lineno">  404</span>&#160;                        push_notification.open()</div>
<div class="line"><a name="l00405"></a><span class="lineno">  405</span>&#160;                    }</div>
<div class="line"><a name="l00406"></a><span class="lineno">  406</span>&#160;                }</div>
<div class="line"><a name="l00407"></a><span class="lineno">  407</span>&#160;                <span class="comment">//db.updateViewed(current_date + &quot; &quot; + current_time)</span></div>
<div class="line"><a name="l00408"></a><span class="lineno">  408</span>&#160;                <span class="comment">//repetition = db.getReminderRepeat(current_date + &#39; &#39; + current_time)[i]</span></div>
<div class="line"><a name="l00409"></a><span class="lineno">  409</span>&#160;                <span class="keywordflow">if</span> (messages[j+2] !== 0){</div>
<div class="line"><a name="l00410"></a><span class="lineno">  410</span>&#160;                    db.doRepetition(messages[j+2], current_date + <span class="charliteral">&#39; &#39;</span> + current_time,messages[j+3])</div>
<div class="line"><a name="l00411"></a><span class="lineno">  411</span>&#160;                }</div>
<div class="line"><a name="l00412"></a><span class="lineno">  412</span>&#160;                j += 4</div>
<div class="line"><a name="l00413"></a><span class="lineno">  413</span>&#160; </div>
<div class="line"><a name="l00414"></a><span class="lineno">  414</span>&#160;            }</div>
<div class="line"><a name="l00415"></a><span class="lineno">  415</span>&#160;        }</div>
<div class="line"><a name="l00416"></a><span class="lineno">  416</span>&#160;        console.log(current_time)</div>
<div class="line"><a name="l00417"></a><span class="lineno">  417</span>&#160;        console.log(current_date)</div>
<div class="line"><a name="l00418"></a><span class="lineno">  418</span>&#160;    }</div>
<div class="line"><a name="l00419"></a><span class="lineno">  419</span>&#160; </div>
<div class="line"><a name="l00420"></a><span class="lineno">  420</span>&#160; </div>
<div class="line"><a name="l00421"></a><span class="lineno">  421</span>&#160;    Timer{</div>
<div class="line"><a name="l00422"></a><span class="lineno">  422</span>&#160;        id: first_timer</div>
<div class="line"><a name="l00423"></a><span class="lineno">  423</span>&#160;        interval: 60000 - 1000 * <span class="keyword">new</span> Date().getSeconds()</div>
<div class="line"><a name="l00424"></a><span class="lineno">  424</span>&#160;        repeat: <span class="keyword">false</span></div>
<div class="line"><a name="l00425"></a><span class="lineno">  425</span>&#160;        running: <span class="keyword">true</span></div>
<div class="line"><a name="l00426"></a><span class="lineno">  426</span>&#160;        <span class="comment">//triggeredOnStart: true</span></div>
<div class="line"><a name="l00427"></a><span class="lineno">  427</span>&#160;        onTriggered: {</div>
<div class="line"><a name="l00428"></a><span class="lineno">  428</span>&#160;            <span class="comment">//date = new Date().toString()</span></div>
<div class="line"><a name="l00429"></a><span class="lineno">  429</span>&#160;            timer.start()</div>
<div class="line"><a name="l00430"></a><span class="lineno">  430</span>&#160;            triggerNotifTimer()</div>
<div class="line"><a name="l00431"></a><span class="lineno">  431</span>&#160;           <span class="comment">// timer.interval = 60000 - 1000 * new Date().getSeconds()</span></div>
<div class="line"><a name="l00432"></a><span class="lineno">  432</span>&#160; </div>
<div class="line"><a name="l00433"></a><span class="lineno">  433</span>&#160;        }</div>
<div class="line"><a name="l00434"></a><span class="lineno">  434</span>&#160;    }</div>
<div class="line"><a name="l00435"></a><span class="lineno">  435</span>&#160; </div>
<div class="line"><a name="l00436"></a><span class="lineno">  436</span>&#160;   <span class="comment">// property string date</span></div>
<div class="line"><a name="l00437"></a><span class="lineno">  437</span>&#160;    Timer{</div>
<div class="line"><a name="l00438"></a><span class="lineno">  438</span>&#160;        id: timer</div>
<div class="line"><a name="l00439"></a><span class="lineno">  439</span>&#160;        interval: 60000</div>
<div class="line"><a name="l00440"></a><span class="lineno">  440</span>&#160;        repeat: <span class="keyword">true</span></div>
<div class="line"><a name="l00441"></a><span class="lineno">  441</span>&#160;        running: <span class="keyword">false</span></div>
<div class="line"><a name="l00442"></a><span class="lineno">  442</span>&#160;        onTriggered: {</div>
<div class="line"><a name="l00443"></a><span class="lineno">  443</span>&#160;            <span class="comment">//trigger_notif_timer()</span></div>
<div class="line"><a name="l00444"></a><span class="lineno">  444</span>&#160;            <span class="comment">//first_timer.interval = 60000 - 1000 * new Date().getSeconds()</span></div>
<div class="line"><a name="l00445"></a><span class="lineno">  445</span>&#160;            <span class="comment">//first_timer.start()</span></div>
<div class="line"><a name="l00446"></a><span class="lineno">  446</span>&#160;           <span class="comment">// if (date !== new Date().toString())</span></div>
<div class="line"><a name="l00447"></a><span class="lineno">  447</span>&#160;           <span class="comment">// {</span></div>
<div class="line"><a name="l00448"></a><span class="lineno">  448</span>&#160;           <span class="comment">//     date = new Date().toString()</span></div>
<div class="line"><a name="l00449"></a><span class="lineno">  449</span>&#160;                triggerNotifTimer()</div>
<div class="line"><a name="l00450"></a><span class="lineno">  450</span>&#160;           <span class="comment">// }</span></div>
<div class="line"><a name="l00451"></a><span class="lineno">  451</span>&#160;        }</div>
<div class="line"><a name="l00452"></a><span class="lineno">  452</span>&#160; </div>
<div class="line"><a name="l00453"></a><span class="lineno">  453</span>&#160; </div>
<div class="line"><a name="l00454"></a><span class="lineno">  454</span>&#160;    }</div>
<div class="line"><a name="l00455"></a><span class="lineno">  455</span>&#160; </div>
<div class="line"><a name="l00456"></a><span class="lineno">  456</span>&#160;    <a class="code" href="classErrorDialog.html">ErrorDialog</a> {</div>
<div class="line"><a name="l00457"></a><span class="lineno">  457</span>&#160;        id: push_notification</div>
<div class="line"><a name="l00458"></a><span class="lineno">  458</span>&#160;        visible: <span class="keyword">false</span></div>
<div class="line"><a name="l00459"></a><span class="lineno">  459</span>&#160;    }</div>
<div class="line"><a name="l00460"></a><span class="lineno">  460</span>&#160; </div>
<div class="line"><a name="l00461"></a><span class="lineno">  461</span>&#160; </div>
<div class="line"><a name="l00463"></a><span class="lineno">  463</span>&#160;    <span class="keyword">function</span> updShortcut()</div>
<div class="line"><a name="l00464"></a><span class="lineno">  464</span>&#160;    {</div>
<div class="line"><a name="l00465"></a><span class="lineno">  465</span>&#160;        stt.setGlobalShortcuts(db.receiveShortcuts())</div>
<div class="line"><a name="l00466"></a><span class="lineno">  466</span>&#160;    }</div>
<div class="line"><a name="l00467"></a><span class="lineno">  467</span>&#160; </div>
<div class="line"><a name="l00468"></a><span class="lineno">  468</span>&#160;    <span class="comment">// соединение с stt</span></div>
<div class="line"><a name="l00469"></a><span class="lineno">  469</span>&#160;    Connections {</div>
<div class="line"><a name="l00470"></a><span class="lineno">  470</span>&#160;        target: stt</div>
<div class="line"><a name="l00471"></a><span class="lineno">  471</span>&#160;        <span class="comment">// когда сочетание клавиш активировано и пришел об этом сигнал</span></div>
<div class="line"><a name="l00472"></a><span class="lineno">  472</span>&#160;        <span class="comment">// то ищем команды, которые выполняются при таком нажатии и выполняем их</span></div>
<div class="line"><a name="l00473"></a><span class="lineno">  473</span>&#160;        onProcessGlobalShortcut: {</div>
<div class="line"><a name="l00474"></a><span class="lineno">  474</span>&#160;            <span class="comment">//console.debug(stt.getGlobalShortcut())</span></div>
<div class="line"><a name="l00475"></a><span class="lineno">  475</span>&#160;            var actionList = db.findCommand({KeysORVoice : stt.getGlobalShortcut(), isVoiceInput : <span class="keyword">false</span>}, <span class="stringliteral">&quot;action&quot;</span>)</div>
<div class="line"><a name="l00476"></a><span class="lineno">  476</span>&#160;            <span class="keywordflow">for</span> (var i in actionList)</div>
<div class="line"><a name="l00477"></a><span class="lineno">  477</span>&#160;            {</div>
<div class="line"><a name="l00478"></a><span class="lineno">  478</span>&#160;                <span class="comment">//console.debug(actionList[i])</span></div>
<div class="line"><a name="l00479"></a><span class="lineno">  479</span>&#160;                stt.evecuteAction(actionList[i])</div>
<div class="line"><a name="l00480"></a><span class="lineno">  480</span>&#160;            }</div>
<div class="line"><a name="l00481"></a><span class="lineno">  481</span>&#160;        }</div>
<div class="line"><a name="l00482"></a><span class="lineno">  482</span>&#160;        <span class="comment">// когда опред. сочетание клавиш активировано, приходит сигнал об этом</span></div>
<div class="line"><a name="l00483"></a><span class="lineno">  483</span>&#160;        <span class="comment">// и начинается / заканчивается запись голоса</span></div>
<div class="line"><a name="l00484"></a><span class="lineno">  484</span>&#160;        onChangeRecording: {</div>
<div class="line"><a name="l00485"></a><span class="lineno">  485</span>&#160; </div>
<div class="line"><a name="l00486"></a><span class="lineno">  486</span>&#160;            <span class="keywordflow">if</span> (stt.isInternetAccess())</div>
<div class="line"><a name="l00487"></a><span class="lineno">  487</span>&#160;            {</div>
<div class="line"><a name="l00488"></a><span class="lineno">  488</span>&#160;                error.visible = <span class="keyword">false</span></div>
<div class="line"><a name="l00489"></a><span class="lineno">  489</span>&#160;                <span class="comment">//if (!stt.getRunning())</span></div>
<div class="line"><a name="l00490"></a><span class="lineno">  490</span>&#160;                <span class="comment">//{</span></div>
<div class="line"><a name="l00491"></a><span class="lineno">  491</span>&#160;                click.visible = <span class="keyword">true</span></div>
<div class="line"><a name="l00492"></a><span class="lineno">  492</span>&#160;                clickImage.running = <span class="keyword">true</span></div>
<div class="line"><a name="l00493"></a><span class="lineno">  493</span>&#160;                stt.toggleRecord()</div>
<div class="line"><a name="l00494"></a><span class="lineno">  494</span>&#160;                <span class="keywordflow">if</span> (!stt.getEvenClick())</div>
<div class="line"><a name="l00495"></a><span class="lineno">  495</span>&#160;                    recordtime.running = <span class="keyword">true</span></div>
<div class="line"><a name="l00496"></a><span class="lineno">  496</span>&#160;                dialogWindow.show()</div>
<div class="line"><a name="l00497"></a><span class="lineno">  497</span>&#160;                mainWindow.requestActivate()</div>
<div class="line"><a name="l00498"></a><span class="lineno">  498</span>&#160;                <span class="comment">//}</span></div>
<div class="line"><a name="l00499"></a><span class="lineno">  499</span>&#160;            }</div>
<div class="line"><a name="l00500"></a><span class="lineno">  500</span>&#160;            <span class="keywordflow">else</span></div>
<div class="line"><a name="l00501"></a><span class="lineno">  501</span>&#160;            {</div>
<div class="line"><a name="l00502"></a><span class="lineno">  502</span>&#160;                error.<a class="code" href="classErrorDialog.html#a20df88d75fbcff326603c66cc8bb1412">err_name</a> = qsTr(<span class="stringliteral">&quot;No internet connection&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00503"></a><span class="lineno">  503</span>&#160;                error.log = <span class="stringliteral">&quot;No internet&quot;</span></div>
<div class="line"><a name="l00504"></a><span class="lineno">  504</span>&#160;                error.visible = <span class="keyword">true</span></div>
<div class="line"><a name="l00505"></a><span class="lineno">  505</span>&#160;            }</div>
<div class="line"><a name="l00506"></a><span class="lineno">  506</span>&#160;        }</div>
<div class="line"><a name="l00507"></a><span class="lineno">  507</span>&#160;        <span class="comment">// если запись голоса не получилось выполнить = выводим ошибку</span></div>
<div class="line"><a name="l00508"></a><span class="lineno">  508</span>&#160;        onRecordError: {</div>
<div class="line"><a name="l00509"></a><span class="lineno">  509</span>&#160;            error.err_name = stt.getErrorText()</div>
<div class="line"><a name="l00510"></a><span class="lineno">  510</span>&#160;            error.log = error.err_name</div>
<div class="line"><a name="l00511"></a><span class="lineno">  511</span>&#160;            error.visible = <span class="keyword">true</span></div>
<div class="line"><a name="l00512"></a><span class="lineno">  512</span>&#160; </div>
<div class="line"><a name="l00513"></a><span class="lineno">  513</span>&#160;        }</div>
<div class="line"><a name="l00514"></a><span class="lineno">  514</span>&#160;        <span class="comment">// если вызвали окно сочетанием клавиш - выводим окно персонажа</span></div>
<div class="line"><a name="l00515"></a><span class="lineno">  515</span>&#160;        onShowApp: {</div>
<div class="line"><a name="l00516"></a><span class="lineno">  516</span>&#160;            tray.visible = <span class="keyword">false</span></div>
<div class="line"><a name="l00517"></a><span class="lineno">  517</span>&#160;            mainWindow.showWindow()</div>
<div class="line"><a name="l00518"></a><span class="lineno">  518</span>&#160;            mainWindow.flags += Qt.WindowStaysOnTopHint</div>
<div class="line"><a name="l00519"></a><span class="lineno">  519</span>&#160;            mainWindow.flags -= Qt.WindowStaysOnTopHint</div>
<div class="line"><a name="l00520"></a><span class="lineno">  520</span>&#160; </div>
<div class="line"><a name="l00521"></a><span class="lineno">  521</span>&#160;            console.debug(<span class="stringliteral">&quot;!&quot;</span>)</div>
<div class="line"><a name="l00522"></a><span class="lineno">  522</span>&#160;        }</div>
<div class="line"><a name="l00523"></a><span class="lineno">  523</span>&#160;    }</div>
<div class="line"><a name="l00524"></a><span class="lineno">  524</span>&#160; </div>
<div class="line"><a name="l00525"></a><span class="lineno">  525</span>&#160; </div>
<div class="line"><a name="l00526"></a><span class="lineno">  526</span>&#160;    <span class="comment">// таймер - для того, чтобы запись голоса длилась не более 10 секунД</span></div>
<div class="line"><a name="l00527"></a><span class="lineno">  527</span>&#160;    Timer {</div>
<div class="line"><a name="l00528"></a><span class="lineno">  528</span>&#160;        id: recordtime</div>
<div class="line"><a name="l00529"></a><span class="lineno">  529</span>&#160;        interval: 10000</div>
<div class="line"><a name="l00530"></a><span class="lineno">  530</span>&#160;        repeat: <span class="keyword">false</span></div>
<div class="line"><a name="l00531"></a><span class="lineno">  531</span>&#160;        running: <span class="keyword">false</span></div>
<div class="line"><a name="l00532"></a><span class="lineno">  532</span>&#160;        onTriggered: {</div>
<div class="line"><a name="l00533"></a><span class="lineno">  533</span>&#160;            <span class="comment">// таймер работает единажды</span></div>
<div class="line"><a name="l00534"></a><span class="lineno">  534</span>&#160;            recordtime.running = <span class="keyword">false</span></div>
<div class="line"><a name="l00535"></a><span class="lineno">  535</span>&#160;            <span class="comment">// если запись еще идет, останавливаем ее</span></div>
<div class="line"><a name="l00536"></a><span class="lineno">  536</span>&#160;            <span class="keywordflow">if</span> (!stt.getEvenClick())</div>
<div class="line"><a name="l00537"></a><span class="lineno">  537</span>&#160;                stt.toggleRecord();</div>
<div class="line"><a name="l00538"></a><span class="lineno">  538</span>&#160;        }</div>
<div class="line"><a name="l00539"></a><span class="lineno">  539</span>&#160;    }</div>
<div class="line"><a name="l00540"></a><span class="lineno">  540</span>&#160; </div>
<div class="line"><a name="l00541"></a><span class="lineno">  541</span>&#160;    <span class="comment">// диалог ошибок - универсальный</span></div>
<div class="line"><a name="l00542"></a><span class="lineno">  542</span>&#160;    <a class="code" href="classErrorDialog.html">ErrorDialog</a> {</div>
<div class="line"><a name="l00543"></a><span class="lineno">  543</span>&#160;        id: error</div>
<div class="line"><a name="l00544"></a><span class="lineno">  544</span>&#160;        onlyMessage: <span class="keyword">false</span></div>
<div class="line"><a name="l00545"></a><span class="lineno">  545</span>&#160;    }</div>
<div class="line"><a name="l00546"></a><span class="lineno">  546</span>&#160; </div>
<div class="line"><a name="l00547"></a><span class="lineno">  547</span>&#160;    <span class="comment">// таймер показа индикатора нажатия - 1 сек</span></div>
<div class="line"><a name="l00548"></a><span class="lineno">  548</span>&#160;    Timer {</div>
<div class="line"><a name="l00549"></a><span class="lineno">  549</span>&#160;        id: clickImage</div>
<div class="line"><a name="l00550"></a><span class="lineno">  550</span>&#160;        interval: 1000</div>
<div class="line"><a name="l00551"></a><span class="lineno">  551</span>&#160;        repeat: <span class="keyword">false</span></div>
<div class="line"><a name="l00552"></a><span class="lineno">  552</span>&#160;        running: <span class="keyword">false</span></div>
<div class="line"><a name="l00553"></a><span class="lineno">  553</span>&#160;        onTriggered: {</div>
<div class="line"><a name="l00554"></a><span class="lineno">  554</span>&#160;            click.visible = <span class="keyword">false</span></div>
<div class="line"><a name="l00555"></a><span class="lineno">  555</span>&#160;            clickImage.running = <span class="keyword">false</span></div>
<div class="line"><a name="l00556"></a><span class="lineno">  556</span>&#160;        }</div>
<div class="line"><a name="l00557"></a><span class="lineno">  557</span>&#160;    }</div>
<div class="line"><a name="l00558"></a><span class="lineno">  558</span>&#160; </div>
<div class="line"><a name="l00559"></a><span class="lineno">  559</span>&#160;    <span class="comment">// gif как индикатор нажатия</span></div>
<div class="line"><a name="l00560"></a><span class="lineno">  560</span>&#160;    AnimatedImage {</div>
<div class="line"><a name="l00561"></a><span class="lineno">  561</span>&#160;        width: 150</div>
<div class="line"><a name="l00562"></a><span class="lineno">  562</span>&#160;        height: 150</div>
<div class="line"><a name="l00563"></a><span class="lineno">  563</span>&#160;        x:parent.x - 35</div>
<div class="line"><a name="l00564"></a><span class="lineno">  564</span>&#160;        y:parent.y - 45</div>
<div class="line"><a name="l00565"></a><span class="lineno">  565</span>&#160;        id: click</div>
<div class="line"><a name="l00566"></a><span class="lineno">  566</span>&#160;        clip: <span class="keyword">false</span></div>
<div class="line"><a name="l00567"></a><span class="lineno">  567</span>&#160;        visible: <span class="keyword">false</span></div>
<div class="line"><a name="l00568"></a><span class="lineno">  568</span>&#160;        source: <span class="stringliteral">&quot;/resources/img/click1.gif&quot;</span></div>
<div class="line"><a name="l00569"></a><span class="lineno">  569</span>&#160;    }</div>
<div class="line"><a name="l00570"></a><span class="lineno">  570</span>&#160; </div>
<div class="line"><a name="l00571"></a><span class="lineno">  571</span>&#160;    <span class="comment">// область обработки нажатий мыши</span></div>
<div class="line"><a name="l00572"></a><span class="lineno">  572</span>&#160;    MouseArea {</div>
<div class="line"><a name="l00573"></a><span class="lineno">  573</span>&#160;        anchors {</div>
<div class="line"><a name="l00574"></a><span class="lineno">  574</span>&#160;            top: parent.top</div>
<div class="line"><a name="l00575"></a><span class="lineno">  575</span>&#160;            bottom: parent.bottom</div>
<div class="line"><a name="l00576"></a><span class="lineno">  576</span>&#160;            left: parent.left</div>
<div class="line"><a name="l00577"></a><span class="lineno">  577</span>&#160;            right: parent.right</div>
<div class="line"><a name="l00578"></a><span class="lineno">  578</span>&#160;        }</div>
<div class="line"><a name="l00579"></a><span class="lineno">  579</span>&#160; </div>
<div class="line"><a name="l00580"></a><span class="lineno">  580</span>&#160; </div>
<div class="line"><a name="l00581"></a><span class="lineno">  581</span>&#160;        <span class="comment">// при нажатии на область мыши убираем видимость у контекстого меню</span></div>
<div class="line"><a name="l00582"></a><span class="lineno">  582</span>&#160;        onPressed: {</div>
<div class="line"><a name="l00583"></a><span class="lineno">  583</span>&#160;            <span class="comment">//console.debug(character.activeFocus)</span></div>
<div class="line"><a name="l00584"></a><span class="lineno">  584</span>&#160;            context_menu.visible = <span class="keyword">false</span></div>
<div class="line"><a name="l00585"></a><span class="lineno">  585</span>&#160;            previousX = mouseX</div>
<div class="line"><a name="l00586"></a><span class="lineno">  586</span>&#160;            previousY = mouseY</div>
<div class="line"><a name="l00587"></a><span class="lineno">  587</span>&#160;        }</div>
<div class="line"><a name="l00588"></a><span class="lineno">  588</span>&#160; </div>
<div class="line"><a name="l00589"></a><span class="lineno">  589</span>&#160;        <span class="comment">//</span></div>
<div class="line"><a name="l00590"></a><span class="lineno">  590</span>&#160;        onMouseXChanged: {</div>
<div class="line"><a name="l00591"></a><span class="lineno">  591</span>&#160;            var dx = mouseX - previousX</div>
<div class="line"><a name="l00592"></a><span class="lineno">  592</span>&#160;            mainWindow.setX(mainWindow.x + dx)</div>
<div class="line"><a name="l00593"></a><span class="lineno">  593</span>&#160;        }</div>
<div class="line"><a name="l00594"></a><span class="lineno">  594</span>&#160; </div>
<div class="line"><a name="l00595"></a><span class="lineno">  595</span>&#160;        onMouseYChanged: {</div>
<div class="line"><a name="l00596"></a><span class="lineno">  596</span>&#160;            var dy = mouseY - previousY</div>
<div class="line"><a name="l00597"></a><span class="lineno">  597</span>&#160;            mainWindow.setY(mainWindow.y + dy)</div>
<div class="line"><a name="l00598"></a><span class="lineno">  598</span>&#160;        }</div>
<div class="line"><a name="l00599"></a><span class="lineno">  599</span>&#160; </div>
<div class="line"><a name="l00600"></a><span class="lineno">  600</span>&#160;        acceptedButtons: Qt.LeftButton | Qt.RightButton</div>
<div class="line"><a name="l00601"></a><span class="lineno">  601</span>&#160;        onClicked: {</div>
<div class="line"><a name="l00602"></a><span class="lineno">  602</span>&#160;            <span class="keywordflow">if</span>(mouse.button &amp; Qt.RightButton) {</div>
<div class="line"><a name="l00603"></a><span class="lineno">  603</span>&#160; </div>
<div class="line"><a name="l00604"></a><span class="lineno">  604</span>&#160;                <span class="keywordflow">if</span> ( Qt.RightButton)</div>
<div class="line"><a name="l00605"></a><span class="lineno">  605</span>&#160;                {</div>
<div class="line"><a name="l00606"></a><span class="lineno">  606</span>&#160;                    context_menu.raise()</div>
<div class="line"><a name="l00607"></a><span class="lineno">  607</span>&#160;                    context_menu.visible = <span class="keyword">true</span></div>
<div class="line"><a name="l00608"></a><span class="lineno">  608</span>&#160;                    context_menu.x = mouse.x + mainWindow.x</div>
<div class="line"><a name="l00609"></a><span class="lineno">  609</span>&#160;                    context_menu.y = mouse.y + mainWindow.y</div>
<div class="line"><a name="l00610"></a><span class="lineno">  610</span>&#160;                    guide.prompt_text = <span class="stringliteral">&quot;Select menu item&quot;</span></div>
<div class="line"><a name="l00611"></a><span class="lineno">  611</span>&#160;                    guide.anchors.horizontalCenter = undefined</div>
<div class="line"><a name="l00612"></a><span class="lineno">  612</span>&#160;                    guide.anchors.verticalCenter = undefined</div>
<div class="line"><a name="l00613"></a><span class="lineno">  613</span>&#160;                    guide.anchors.top = parent.top</div>
<div class="line"><a name="l00614"></a><span class="lineno">  614</span>&#160;                    guide.anchors.left = parent.left</div>
<div class="line"><a name="l00615"></a><span class="lineno">  615</span>&#160; </div>
<div class="line"><a name="l00616"></a><span class="lineno">  616</span>&#160;                }</div>
<div class="line"><a name="l00617"></a><span class="lineno">  617</span>&#160;                <span class="keywordflow">else</span></div>
<div class="line"><a name="l00618"></a><span class="lineno">  618</span>&#160;                    context_menu.visible = <span class="keyword">false</span></div>
<div class="line"><a name="l00619"></a><span class="lineno">  619</span>&#160;                <span class="comment">//console.debug(mouse.x, mouse.y)</span></div>
<div class="line"><a name="l00620"></a><span class="lineno">  620</span>&#160;            }</div>
<div class="line"><a name="l00621"></a><span class="lineno">  621</span>&#160;        }</div>
<div class="line"><a name="l00622"></a><span class="lineno">  622</span>&#160;    }</div>
<div class="line"><a name="l00624"></a><span class="lineno">  624</span>&#160;    readonly <span class="keyword">property</span> real proportion: {</div>
<div class="line"><a name="l00625"></a><span class="lineno">  625</span>&#160;        <span class="keywordflow">if</span> (character.implicitHeight &gt; character.implicitWidth)</div>
<div class="line"><a name="l00626"></a><span class="lineno">  626</span>&#160;            character.implicitWidth / character.implicitHeight</div>
<div class="line"><a name="l00627"></a><span class="lineno">  627</span>&#160;        <span class="keywordflow">else</span></div>
<div class="line"><a name="l00628"></a><span class="lineno">  628</span>&#160;            character.implicitHeight / character.implicitWidth</div>
<div class="line"><a name="l00629"></a><span class="lineno">  629</span>&#160;    }</div>
<div class="line"><a name="l00630"></a><span class="lineno">  630</span>&#160; </div>
<div class="line"><a name="l00631"></a><span class="lineno">  631</span>&#160;    <a class="code" href="classMainContextMenu.html">MainContextMenu</a> {</div>
<div class="line"><a name="l00632"></a><span class="lineno">  632</span>&#160;        id: context_menu</div>
<div class="line"><a name="l00633"></a><span class="lineno">  633</span>&#160;        objectName: <span class="stringliteral">&quot;contextMenu&quot;</span></div>
<div class="line"><a name="l00634"></a><span class="lineno">  634</span>&#160;    }</div>
<div class="line"><a name="l00635"></a><span class="lineno">  635</span>&#160; </div>
<div class="line"><a name="l00636"></a><span class="lineno">  636</span>&#160; </div>
<div class="line"><a name="l00637"></a><span class="lineno">  637</span>&#160; </div>
<div class="line"><a name="l00639"></a><span class="lineno">  639</span>&#160;    <span class="keyword">function</span> updateImg(path)</div>
<div class="line"><a name="l00640"></a><span class="lineno">  640</span>&#160;    {</div>
<div class="line"><a name="l00641"></a><span class="lineno">  641</span>&#160;        character.source = path</div>
<div class="line"><a name="l00642"></a><span class="lineno">  642</span>&#160;        character.width = character.sourceSize.width</div>
<div class="line"><a name="l00643"></a><span class="lineno">  643</span>&#160;        character.height = character.sourceSize.height</div>
<div class="line"><a name="l00644"></a><span class="lineno">  644</span>&#160;        <span class="keywordflow">if</span> (character.implicitHeight &gt; character.implicitWidth)</div>
<div class="line"><a name="l00645"></a><span class="lineno">  645</span>&#160;        {</div>
<div class="line"><a name="l00646"></a><span class="lineno">  646</span>&#160;            <span class="keywordflow">if</span> (character.height &gt; Screen.height / 2)</div>
<div class="line"><a name="l00647"></a><span class="lineno">  647</span>&#160;            {</div>
<div class="line"><a name="l00648"></a><span class="lineno">  648</span>&#160;                character.height = Screen.height / 2</div>
<div class="line"><a name="l00649"></a><span class="lineno">  649</span>&#160;                character.width = character.height * proportion</div>
<div class="line"><a name="l00650"></a><span class="lineno">  650</span>&#160;            }</div>
<div class="line"><a name="l00651"></a><span class="lineno">  651</span>&#160;        }</div>
<div class="line"><a name="l00652"></a><span class="lineno">  652</span>&#160;        <span class="keywordflow">else</span></div>
<div class="line"><a name="l00653"></a><span class="lineno">  653</span>&#160;        {</div>
<div class="line"><a name="l00654"></a><span class="lineno">  654</span>&#160;            <span class="keywordflow">if</span> (character.width &gt; Screen.width / 4)</div>
<div class="line"><a name="l00655"></a><span class="lineno">  655</span>&#160;            {</div>
<div class="line"><a name="l00656"></a><span class="lineno">  656</span>&#160;                character.width = Screen.width / 4</div>
<div class="line"><a name="l00657"></a><span class="lineno">  657</span>&#160;                character.height = character.width * proportion</div>
<div class="line"><a name="l00658"></a><span class="lineno">  658</span>&#160;            }</div>
<div class="line"><a name="l00659"></a><span class="lineno">  659</span>&#160;        }</div>
<div class="line"><a name="l00660"></a><span class="lineno">  660</span>&#160;        character.playing = <span class="keyword">true</span></div>
<div class="line"><a name="l00661"></a><span class="lineno">  661</span>&#160;    }</div>
<div class="line"><a name="l00662"></a><span class="lineno">  662</span>&#160; </div>
<div class="line"><a name="l00663"></a><span class="lineno">  663</span>&#160;    <span class="comment">// элемент-изображение для основного окна</span></div>
<div class="line"><a name="l00664"></a><span class="lineno">  664</span>&#160;    AnimatedImage {</div>
<div class="line"><a name="l00665"></a><span class="lineno">  665</span>&#160;        id: character</div>
<div class="line"><a name="l00666"></a><span class="lineno">  666</span>&#160;        clip: <span class="keyword">false</span></div>
<div class="line"><a name="l00667"></a><span class="lineno">  667</span>&#160;        visible: <span class="keyword">true</span></div>
<div class="line"><a name="l00668"></a><span class="lineno">  668</span>&#160;        autoTransform: <span class="keyword">true</span></div>
<div class="line"><a name="l00669"></a><span class="lineno">  669</span>&#160;        source: db.getImageMainPath()</div>
<div class="line"><a name="l00670"></a><span class="lineno">  670</span>&#160;        playing: <span class="keyword">true</span></div>
<div class="line"><a name="l00671"></a><span class="lineno">  671</span>&#160;        onStatusChanged: {</div>
<div class="line"><a name="l00672"></a><span class="lineno">  672</span>&#160;            load_img_size.start()</div>
<div class="line"><a name="l00673"></a><span class="lineno">  673</span>&#160;        }</div>
<div class="line"><a name="l00674"></a><span class="lineno">  674</span>&#160;    }</div>
<div class="line"><a name="l00675"></a><span class="lineno">  675</span>&#160; </div>
<div class="line"><a name="l00676"></a><span class="lineno">  676</span>&#160;    <span class="comment">//Таймер для того, чтобы дать картинке или gif прогрузиться</span></div>
<div class="line"><a name="l00677"></a><span class="lineno">  677</span>&#160;    Timer{</div>
<div class="line"><a name="l00678"></a><span class="lineno">  678</span>&#160;        id: load_img_size</div>
<div class="line"><a name="l00679"></a><span class="lineno">  679</span>&#160;        interval: 1</div>
<div class="line"><a name="l00680"></a><span class="lineno">  680</span>&#160;        repeat: <span class="keyword">false</span></div>
<div class="line"><a name="l00681"></a><span class="lineno">  681</span>&#160;        running: <span class="keyword">false</span></div>
<div class="line"><a name="l00682"></a><span class="lineno">  682</span>&#160;        onTriggered: {</div>
<div class="line"><a name="l00683"></a><span class="lineno">  683</span>&#160;            updateImg(character.source)</div>
<div class="line"><a name="l00684"></a><span class="lineno">  684</span>&#160;            mainWindow.x = Screen.width / 2 - width / 2</div>
<div class="line"><a name="l00685"></a><span class="lineno">  685</span>&#160;            mainWindow.y = Screen.height / 2 - height / 2</div>
<div class="line"><a name="l00686"></a><span class="lineno">  686</span>&#160;        }</div>
<div class="line"><a name="l00687"></a><span class="lineno">  687</span>&#160;    }</div>
<div class="line"><a name="l00688"></a><span class="lineno">  688</span>&#160; </div>
<div class="line"><a name="l00690"></a><span class="lineno">  690</span>&#160;    property var visibleGeneralWindow: false</div>
<div class="line"><a name="l00691"></a><span class="lineno">  691</span>&#160;    <a class="code" href="classGeneralWindow.html">GeneralWindow</a> {</div>
<div class="line"><a name="l00692"></a><span class="lineno">  692</span>&#160;        id: genWindow</div>
<div class="line"><a name="l00693"></a><span class="lineno">  693</span>&#160;        visible: visibleGeneralWindow</div>
<div class="line"><a name="l00694"></a><span class="lineno">  694</span>&#160;    }</div>
<div class="line"><a name="l00695"></a><span class="lineno">  695</span>&#160; </div>
<div class="line"><a name="l00696"></a><span class="lineno">  696</span>&#160; </div>
<div class="line"><a name="l00697"></a><span class="lineno">  697</span>&#160;    <span class="comment">// диалог для общения персонажа с пользователем</span></div>
<div class="line"><a name="l00698"></a><span class="lineno">  698</span>&#160;    <a class="code" href="classDialogWindow.html">DialogWindow</a> {</div>
<div class="line"><a name="l00699"></a><span class="lineno">  699</span>&#160;        id: dialogWindow</div>
<div class="line"><a name="l00700"></a><span class="lineno">  700</span>&#160;        x: mainWindow.x + mainWindow.width / 2 - width / 2</div>
<div class="line"><a name="l00701"></a><span class="lineno">  701</span>&#160;        y: mainWindow.y - height - 5</div>
<div class="line"><a name="l00702"></a><span class="lineno">  702</span>&#160; </div>
<div class="line"><a name="l00703"></a><span class="lineno">  703</span>&#160;        MouseArea {</div>
<div class="line"><a name="l00704"></a><span class="lineno">  704</span>&#160;            onMouseXChanged: {</div>
<div class="line"><a name="l00705"></a><span class="lineno">  705</span>&#160;                var dx = mouseX - previousX</div>
<div class="line"><a name="l00706"></a><span class="lineno">  706</span>&#160;                mainWindow.setX(mainWindow.x + dx)</div>
<div class="line"><a name="l00707"></a><span class="lineno">  707</span>&#160;            }</div>
<div class="line"><a name="l00708"></a><span class="lineno">  708</span>&#160;            onMouseYChanged: {</div>
<div class="line"><a name="l00709"></a><span class="lineno">  709</span>&#160;                var dy = mouseY - previousY</div>
<div class="line"><a name="l00710"></a><span class="lineno">  710</span>&#160;                mainWindow.setY(mainWindow.y + dy)</div>
<div class="line"><a name="l00711"></a><span class="lineno">  711</span>&#160;            }</div>
<div class="line"><a name="l00712"></a><span class="lineno">  712</span>&#160;        }</div>
<div class="line"><a name="l00713"></a><span class="lineno">  713</span>&#160;    }</div>
<div class="line"><a name="l00714"></a><span class="lineno">  714</span>&#160; </div>
<div class="line"><a name="l00715"></a><span class="lineno">  715</span>&#160;    <span class="comment">// диалог для вывода уведомлений</span></div>
<div class="line"><a name="l00716"></a><span class="lineno">  716</span>&#160; </div>
<div class="line"><a name="l00717"></a><span class="lineno">  717</span>&#160; </div>
<div class="line"><a name="l00718"></a><span class="lineno">  718</span>&#160;    <a class="code" href="classRemindersDialog.html">RemindersDialog</a> {</div>
<div class="line"><a name="l00719"></a><span class="lineno">  719</span>&#160;        id: reminders_dialog</div>
<div class="line"><a name="l00720"></a><span class="lineno">  720</span>&#160;        x: Screen.width - reminders_dialog.width</div>
<div class="line"><a name="l00721"></a><span class="lineno">  721</span>&#160;        y: Screen.height - reminders_dialog.height</div>
<div class="line"><a name="l00722"></a><span class="lineno">  722</span>&#160; </div>
<div class="line"><a name="l00723"></a><span class="lineno">  723</span>&#160;        opacity: 0</div>
<div class="line"><a name="l00724"></a><span class="lineno">  724</span>&#160; </div>
<div class="line"><a name="l00725"></a><span class="lineno">  725</span>&#160;        visible: <span class="keyword">false</span></div>
<div class="line"><a name="l00726"></a><span class="lineno">  726</span>&#160; </div>
<div class="line"><a name="l00727"></a><span class="lineno">  727</span>&#160;        SequentialAnimation on y {</div>
<div class="line"><a name="l00728"></a><span class="lineno">  728</span>&#160;            id: expandAnim</div>
<div class="line"><a name="l00729"></a><span class="lineno">  729</span>&#160;            running: <span class="keyword">false</span></div>
<div class="line"><a name="l00730"></a><span class="lineno">  730</span>&#160;            loops: 1</div>
<div class="line"><a name="l00731"></a><span class="lineno">  731</span>&#160;            PropertyAnimation { to: Screen.height - reminders_dialog.height}</div>
<div class="line"><a name="l00732"></a><span class="lineno">  732</span>&#160;            PropertyAnimation { to: Screen.height - reminders_dialog.height - 10; duration: 300 }</div>
<div class="line"><a name="l00733"></a><span class="lineno">  733</span>&#160;            PropertyAnimation { to: Screen.height - reminders_dialog.height - 20; duration: 300 }</div>
<div class="line"><a name="l00734"></a><span class="lineno">  734</span>&#160;            PropertyAnimation { to: Screen.height - reminders_dialog.height - 30; duration: 300 }</div>
<div class="line"><a name="l00735"></a><span class="lineno">  735</span>&#160;            PropertyAnimation { to: Screen.height - reminders_dialog.height - 40; duration: 300 }</div>
<div class="line"><a name="l00736"></a><span class="lineno">  736</span>&#160;        }</div>
<div class="line"><a name="l00737"></a><span class="lineno">  737</span>&#160; </div>
<div class="line"><a name="l00738"></a><span class="lineno">  738</span>&#160;        SequentialAnimation on opacity {</div>
<div class="line"><a name="l00739"></a><span class="lineno">  739</span>&#160;            id: opasAnim</div>
<div class="line"><a name="l00740"></a><span class="lineno">  740</span>&#160;            running: <span class="keyword">false</span></div>
<div class="line"><a name="l00741"></a><span class="lineno">  741</span>&#160;            loops: 1</div>
<div class="line"><a name="l00742"></a><span class="lineno">  742</span>&#160;            PropertyAnimation { to: 0.25; duration: 300 }</div>
<div class="line"><a name="l00743"></a><span class="lineno">  743</span>&#160;            PropertyAnimation { to: 0.5; duration: 300 }</div>
<div class="line"><a name="l00744"></a><span class="lineno">  744</span>&#160;            PropertyAnimation { to: 0.75; duration: 300 }</div>
<div class="line"><a name="l00745"></a><span class="lineno">  745</span>&#160;            PropertyAnimation { to: 1; duration: 300 }</div>
<div class="line"><a name="l00746"></a><span class="lineno">  746</span>&#160;        }</div>
<div class="line"><a name="l00747"></a><span class="lineno">  747</span>&#160; </div>
<div class="line"><a name="l00748"></a><span class="lineno">  748</span>&#160;        onVisibleChanged: {</div>
<div class="line"><a name="l00749"></a><span class="lineno">  749</span>&#160;            expandAnim.start()</div>
<div class="line"><a name="l00750"></a><span class="lineno">  750</span>&#160;            opasAnim.start()</div>
<div class="line"><a name="l00751"></a><span class="lineno">  751</span>&#160;        }</div>
<div class="line"><a name="l00752"></a><span class="lineno">  752</span>&#160; </div>
<div class="line"><a name="l00753"></a><span class="lineno">  753</span>&#160;    }</div>
<div class="line"><a name="l00754"></a><span class="lineno">  754</span>&#160; </div>
<div class="line"><a name="l00755"></a><span class="lineno">  755</span>&#160; </div>
<div class="line"><a name="l00756"></a><span class="lineno">  756</span>&#160;    Audio{</div>
<div class="line"><a name="l00757"></a><span class="lineno">  757</span>&#160;        id: notification</div>
<div class="line"><a name="l00758"></a><span class="lineno">  758</span>&#160;        source: <span class="stringliteral">&quot;/resources/sounds/notification_sound.mp3&quot;</span></div>
<div class="line"><a name="l00759"></a><span class="lineno">  759</span>&#160;        volume: 0.7</div>
<div class="line"><a name="l00760"></a><span class="lineno">  760</span>&#160;    }</div>
<div class="line"><a name="l00761"></a><span class="lineno">  761</span>&#160; </div>
<div class="line"><a name="l00762"></a><span class="lineno">  762</span>&#160;    <a class="code" href="classStyle.html">Style</a>{</div>
<div class="line"><a name="l00763"></a><span class="lineno">  763</span>&#160;        id: style</div>
<div class="line"><a name="l00764"></a><span class="lineno">  764</span>&#160;    }</div>
<div class="line"><a name="l00765"></a><span class="lineno">  765</span>&#160; </div>
<div class="line"><a name="l00766"></a><span class="lineno">  766</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassErrorDialog_html_a20df88d75fbcff326603c66cc8bb1412"><div class="ttname"><a href="classErrorDialog.html#a20df88d75fbcff326603c66cc8bb1412">ErrorDialog::err_name</a></div><div class="ttdeci">string err_name</div><div class="ttdoc">Текст для вывода ошибки</div><div class="ttdef"><b>Definition:</b> <a href="ErrorDialog_8qml_source.html#l00019">ErrorDialog.qml:19</a></div></div>
<div class="ttc" id="aclassMainContextMenu_html"><div class="ttname"><a href="classMainContextMenu.html">MainContextMenu</a></div><div class="ttdoc">Конкекстное меню в виде окна</div><div class="ttdef"><b>Definition:</b> <a href="MainContextMenu_8qml_source.html#l00014">MainContextMenu.qml:14</a></div></div>
<div class="ttc" id="aclassMain_html"><div class="ttname"><a href="classMain.html">Main</a></div><div class="ttdoc">Безрамочное окно - изображение, имеющие контекстное меню и диалоги для взаимодействия с пользователем</div><div class="ttdef"><b>Definition:</b> <a href="Main_8qml_source.html#l00019">Main.qml:19</a></div></div>
<div class="ttc" id="aclassDialogWindow_html"><div class="ttname"><a href="classDialogWindow.html">DialogWindow</a></div><div class="ttdoc">Диалог в форме прямоугольника с загнутым кончиком для имитации того, что персонаж &quot;общается&quot;.</div><div class="ttdef"><b>Definition:</b> <a href="DialogWindow_8qml_source.html#l00015">DialogWindow.qml:15</a></div></div>
<div class="ttc" id="aclassRemindersDialog_html"><div class="ttname"><a href="classRemindersDialog.html">RemindersDialog</a></div><div class="ttdoc">Окно для вывода уведомлений</div><div class="ttdef"><b>Definition:</b> <a href="RemindersDialog_8qml_source.html#l00016">RemindersDialog.qml:16</a></div></div>
<div class="ttc" id="aclassErrorDialog_html"><div class="ttname"><a href="classErrorDialog.html">ErrorDialog</a></div><div class="ttdoc">Диалог ошибки (или же нажатия сочетания клавиш)</div><div class="ttdef"><b>Definition:</b> <a href="ErrorDialog_8qml_source.html#l00014">ErrorDialog.qml:14</a></div></div>
<div class="ttc" id="aclassStyle_html"><div class="ttname"><a href="classStyle.html">Style</a></div><div class="ttdoc">Стили проекта</div><div class="ttdef"><b>Definition:</b> <a href="Style_8qml_source.html#l00011">Style.qml:11</a></div></div>
<div class="ttc" id="aclassGeneralWindow_html"><div class="ttname"><a href="classGeneralWindow.html">GeneralWindow</a></div><div class="ttdoc">Окно, имеющее начальную страницу и меню с возможностью загрузки страниц</div><div class="ttdef"><b>Definition:</b> <a href="GeneralWindow_8qml_source.html#l00019">GeneralWindow.qml:19</a></div></div>
<div class="ttc" id="aclassStylishButton_html"><div class="ttname"><a href="classStylishButton.html">StylishButton</a></div><div class="ttdoc">Пользовательская кнопка</div><div class="ttdef"><b>Definition:</b> <a href="StylishButton_8qml_source.html#l00011">StylishButton.qml:11</a></div></div>
<div class="ttc" id="aclassGuideRectangle_html"><div class="ttname"><a href="classGuideRectangle.html">GuideRectangle</a></div><div class="ttdoc">Прямоугольник с текстом внутри, используется для ознакомления пользователя с программой</div><div class="ttdef"><b>Definition:</b> <a href="GuideRectangle_8qml_source.html#l00017">GuideRectangle.qml:17</a></div></div>
<div class="ttc" id="aclassStartWindow_html"><div class="ttname"><a href="classStartWindow.html">StartWindow</a></div><div class="ttdoc">Приветственное окно</div><div class="ttdef"><b>Definition:</b> <a href="StartWindow_8qml_source.html#l00016">StartWindow.qml:16</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
